package com.gx.obe.web.service;

import java.util.Date;

import org.apache.log4j.Logger;

import com.gx.obe.components.core.Constants;
import com.gx.obe.http.HttpUtil;
import com.gx.obe.util.utils.DateUtils;
import com.gx.obe.web.utils.ResultStatus;

public class ConnectionService {
	static final String URL = "connection";
	
	private Logger logger = Logger.getLogger(ConnectionService.class);
	
	
	public Date getServiceDate() {
		String strWebServerUrl = Constants.getServiceUrl(URL + "/getTime");
//		String	strWebServerUrl = "http://127.0.0.1:8081/connection/getTime";
		try {
			String result = HttpUtil.get(strWebServerUrl);
			if(ResultStatus.getReultStatusIsNotEmpty(result)){
				return DateUtils.toDate(result);
			}
			return new Date();	
		} catch (Exception e) {
			logger.error(e.getMessage(), e);
			return new Date();
		}	
	}
	public static void main(String[] args) {
		ConnectionService connectionService = new ConnectionService();
		System.out.println(connectionService.getServiceDate());
	}
}
