package com.gx.obe.web.service;

import java.util.HashMap;
import java.util.Map;

import org.apache.log4j.Logger;

import com.gx.obe.components.core.Constants;
import  com.gx.obe.web.utils.NetworkRequest;
import com.gx.obe.web.utils.ResultStatus;

public class DeleteFileService {
	
	static final String URL = "deleteFile";
	
	private Logger logger = Logger.getLogger(DeleteFileService.class);

	public boolean deleteFileName(String tenderId ,String supplierId,String fileType ,String fileName) { 
		String strWebServerUrl = Constants.getServiceUrl(URL + "/deleteFileName");
		Map<String, Object> param = new HashMap<String, Object>();       
		param.put("tenderId",tenderId);
		param.put("supplierId",supplierId);
		param.put("fileType",fileType);
		param.put("fileName",fileName);
		try {
			String result = NetworkRequest.post(strWebServerUrl, param);
			return ResultStatus.getReultStatusBoolean(result);
		} catch (Exception e) {
			logger.error(e.getMessage(), e);
			return false;
		}
	}
	
}
