package com.gx.obe.web.service;

import java.util.HashMap;
import java.util.Map;

import org.apache.log4j.Logger;

import com.gx.obe.components.core.Constants;
import com.gx.obe.web.utils.NetworkRequest;
import com.gx.obe.web.utils.ResultStatus;

public class RefshTokenService {
	
	static final String URL = "refsh";
	
	private Logger logger = Logger.getLogger(RefshTokenService.class);
	
	public String refshToken(String token) {
		String strWebServerUrl = Constants.getServiceUrl( URL + "/connectionStatus");
		try{
			Map<String, Object> param = new HashMap<String, Object>();
			param.put("token", token);
			String result = NetworkRequest.post(strWebServerUrl, param);
			if(ResultStatus.getReultStatusIsNotEmpty(result)){	
				return result; 
			}
			return token;
		} catch (Exception e) {
			logger.error(e.getMessage(), e);
			return token;
		}
	}
}
